> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /uspto_trademarks/marks

> Get a U.S. trademark status record by serial number or registration number

**Price:** 1 credit

**⚠️ Common errors:** 412: Trademark not found



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/uspto_trademarks/marks
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/uspto_trademarks/marks:
    post:
      tags:
        - /uspto_trademarks
      summary: /uspto_trademarks/marks
      description: >-
        Get a U.S. trademark status record by serial number or registration
        number


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Trademark not found
      operationId: __api_uspto_trademarks_marks_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UsptoTrademarksMarkPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UsptoTrademarksMark'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UsptoTrademarksMarkPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        serial_number:
          anyOf:
            - type: string
            - type: 'null'
        registration_number:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    UsptoTrademarksMark:
      properties:
        '@type':
          type: string
          default: UsptoTrademarksMark
        serial_number:
          type: string
        registration_number:
          anyOf:
            - type: string
            - type: 'null'
        wordmark:
          anyOf:
            - type: string
            - type: 'null'
        case_status:
          anyOf:
            - type: string
            - type: 'null'
        status_date:
          anyOf:
            - type: string
            - type: 'null'
        is_alive:
          anyOf:
            - type: boolean
            - type: 'null'
        is_registered:
          anyOf:
            - type: boolean
            - type: 'null'
        mark_type:
          items:
            type: string
          type: array
          default: []
        mark_description:
          items:
            type: string
          type: array
          default: []
        is_standard_char_claimed:
          anyOf:
            - type: boolean
            - type: 'null'
        mark_drawing_code:
          anyOf:
            - type: string
            - type: 'null'
        design_codes:
          items:
            type: string
          type: array
          default: []
        disclaimer:
          anyOf:
            - type: string
            - type: 'null'
        filing_date:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
        abandon_date:
          anyOf:
            - type: string
            - type: 'null'
        registration_type:
          items:
            type: string
          type: array
          default: []
        filed_basis:
          items:
            type: string
          type: array
          default: []
        current_basis:
          items:
            type: string
          type: array
          default: []
        translation:
          anyOf:
            - type: string
            - type: 'null'
        transliteration:
          anyOf:
            - type: string
            - type: 'null'
        foreign_basis:
          items:
            $ref: '#/components/schemas/UsptoTrademarksForeignBasis'
          type: array
          default: []
        goods_and_services:
          items:
            type: string
          type: array
          default: []
        classes:
          items:
            $ref: '#/components/schemas/UsptoTrademarksClass'
          type: array
          default: []
        owners:
          items:
            $ref: '#/components/schemas/UsptoTrademarksParty'
          type: array
          default: []
        attorney:
          anyOf:
            - $ref: '#/components/schemas/UsptoTrademarksParty'
            - type: 'null'
        correspondent:
          anyOf:
            - $ref: '#/components/schemas/UsptoTrademarksParty'
            - type: 'null'
        maintenance:
          anyOf:
            - $ref: '#/components/schemas/UsptoTrademarksMaintenance'
            - type: 'null'
        prosecution_history:
          items:
            $ref: '#/components/schemas/UsptoTrademarksProsecutionEvent'
          type: array
          default: []
        assignments:
          items:
            $ref: '#/components/schemas/UsptoTrademarksAssignment'
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - serial_number
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    UsptoTrademarksForeignBasis:
      properties:
        '@type':
          type: string
          default: UsptoTrademarksForeignBasis
        registration_number:
          anyOf:
            - type: string
            - type: 'null'
        application_number:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        priority_claimed:
          anyOf:
            - type: boolean
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        expiration_date:
          anyOf:
            - type: string
            - type: 'null'
        renewal_date:
          anyOf:
            - type: string
            - type: 'null'
        renewal_expiration_date:
          anyOf:
            - type: string
            - type: 'null'
        filing_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    UsptoTrademarksClass:
      properties:
        '@type':
          type: string
          default: UsptoTrademarksClass
        code:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        first_use_date:
          anyOf:
            - type: string
            - type: 'null'
        first_use_in_commerce_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    UsptoTrademarksParty:
      properties:
        '@type':
          type: string
          default: UsptoTrademarksParty
        name:
          anyOf:
            - type: string
            - type: 'null'
        legal_entity:
          anyOf:
            - type: string
            - type: 'null'
        citizenship:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - $ref: '#/components/schemas/UsptoTrademarksAddress'
            - type: 'null'
      type: object
    UsptoTrademarksMaintenance:
      properties:
        '@type':
          type: string
          default: UsptoTrademarksMaintenance
        is_cancelled_or_expired:
          anyOf:
            - type: boolean
            - type: 'null'
        is_cancelled:
          anyOf:
            - type: boolean
            - type: 'null'
        section_15_acknowledged:
          anyOf:
            - type: boolean
            - type: 'null'
        next_form_to_file:
          anyOf:
            - type: integer
            - type: 'null'
        earliest_filing_date:
          anyOf:
            - type: string
            - type: 'null'
        latest_filing_date_without_fee:
          anyOf:
            - type: string
            - type: 'null'
        latest_filing_date_with_fee:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    UsptoTrademarksProsecutionEvent:
      properties:
        '@type':
          type: string
          default: UsptoTrademarksProsecutionEvent
        date:
          anyOf:
            - type: string
            - type: 'null'
        document_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    UsptoTrademarksAssignment:
      properties:
        '@type':
          type: string
          default: UsptoTrademarksAssignment
        receiving_parties:
          items:
            $ref: '#/components/schemas/UsptoTrademarksAssignmentParty'
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    UsptoTrademarksAddress:
      properties:
        '@type':
          type: string
          default: UsptoTrademarksAddress
        street:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    UsptoTrademarksAssignmentParty:
      properties:
        '@type':
          type: string
          default: UsptoTrademarksAssignmentParty
        name:
          anyOf:
            - type: string
            - type: 'null'
        legal_entity:
          anyOf:
            - type: string
            - type: 'null'
        citizenship:
          anyOf:
            - type: string
            - type: 'null'
        address:
          items:
            type: string
          type: array
          default: []
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````